# 32/64bit spec
#
Summary: 	Apache Maven is a software project management and comprehension tool.
Name: 		apache-maven
Version: 	3.5.0
Release: 	%mkrel 1
License: 	Apache 2
Group: 	 	Development/Java
URL:		http://maven.apache.org/
Source:		%{name}-%{version}-src.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires: 	java-devel
BuildRequires:	apache-maven
Requires:	java
Requires:	java-devel
BuildArch:	noarch

%description
Apache Maven is a software project management and comprehension tool. Based on the 
concept of a project object model (POM), Maven can manage a project's build, 
reporting and documentation from a central piece of information. 

%prep
%setup -q -n %{name}-%{version}

%build
rm -fr %{buildroot}

%install
# dont remove the buildroot at the beginning the ant script already installed
# the files.
mkdir -p %{buildroot}%{_datadir}/%{name}
mvn clean package -DdistributionTargetDir="%{buildroot}%{_datadir}/%{name}"

# remove MS files
rm -f %{buildroot}/%{_bindir}/*.bat
rm -rf %{buildroot}/%{_datadir}/%{name}/lib/jansi-native/windows32
rm -rf %{buildroot}/%{_datadir}/%{name}/lib/jansi-native/windows64

# remove mac files
rm -rf %{buildroot}/%{_datadir}/%{name}/lib/jansi-native/osx

# put the doc files into right directory
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
mv %{buildroot}/usr/share/%{name}/LICENSE %{buildroot}/%{_docdir}/%{name}-%{version}
mv %{buildroot}/usr/share/%{name}/NOTICE %{buildroot}/%{_docdir}/%{name}-%{version}
mv %{buildroot}/usr/share/%{name}/README.txt %{buildroot}/%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
	if [ ! -e %{_bindir}/mvn ]; then	
		ln -s %{_datadir}/%{name}/bin/mvn %{_bindir}/mvn
	fi

	if [ ! -e %{_bindir}/mvnDebug ]; then
		ln -s %{_datadir}/%{name}/bin/mvnDebug %{_bindir}/mvnDebug
	fi

	if [ ! -e %{_bindir}/mvnyjp ]; then
		ln -s %{_datadir}/%{name}/bin/mvnyjp %{_bindir}/mvnyjp
	fi
fi

%postun
if [ $1 -eq 0 ]; then
	rm -f %{_bindir}/mvn
	rm -f %{_bindir}/mvnDebug
	rm -f %{_bindir}/mvnyjp
fi

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}/*
%{_datadir}/%{name}/bin/mvn*
%{_datadir}/%{name}/bin/m2.conf
%{_datadir}/%{name}/boot/plexus-classworlds-*.jar
%{_datadir}/%{name}/conf/settings.xml
%{_datadir}/%{name}/conf/toolchains.xml
%{_datadir}/%{name}/conf/logging/simplelogger.properties
%{_datadir}/%{name}/lib/*.jar
%{_datadir}/%{name}/lib/*.license
%{_datadir}/%{name}/lib/ext/README.txt
%{_datadir}/%{name}/lib/jansi-native/README.txt
%{_datadir}/%{name}/lib/jansi-native/*/libjansi.so

%changelog
* Mon Apr 10 2017 ghostbunny <ghostbunny at gmx dot de> 3.5.0-1pclos2017
- 3.5.0
- switch build from ant to maven bootstraping via ant is not supported anymore

* Sat Feb 20 2016 ghostbunny <ghostbunny at gmx dot de> 3.3.9-1pclos2016
- 3.3.9

* Wed May 20 2015 ghostbunny <ghostbunny at gmx dot de> 3.3.3-1pclos2015
- 3.3.3

* Sat Apr 11 2015 ghostbunny <ghostbunny at gmx dot de> 3.3.1-1pclos2015
- 3.3.1

* Tue Aug 19 2014 ghostbunny <ghostbunny at gmx dot de> 3.2.3-1pclos2014
- 3.2.3

* Thu Jun 26 2014 ghostbunny <ghostbunny at gmx dot de> 3.2.2-1pclos2014
- 3.2.2
- add missing URL tag
- add missing R java-devel (you can't compile java without a compiler :D)
- fix post scriptlet to avoid warning message

* Sun Apr 13 2014 ghostbunny <ghostbunny at gmx dot de> 3.2.1-1pclos2014
- initial import for pclos
